Subject: RE: errorInfoContent

From: "Rob Enns" <[email-masked]>
Date: Tue, 27 Dec 2005 14:22:19 -0800

> Hi,
> 
> We removed this group from the schema because it
> isn't used in the schema, but we still need it.
> 
> There are standard error-info elements defined in the document
> that need normative syntax specified in the schema.
> 
> The wrong syntax is shown below.  Don't use this one from prot-09.
> 
>      <xs:group name="errorInfoContent">
>        <xs:sequence>
>          <xs:element name="bad-attribute" type="xs:QName"
>            minOccurs="0" maxOccurs="1"/>
>          <xs:element name="bad-element" type="xs:QName"
>            minOccurs="0" maxOccurs="1"/>
>          <xs:element name="ok-element" type="xs:QName"
>            minOccurs="0" maxOccurs="unbounded"/>
>          <xs:element name="err-element" type="xs:QName"
>            minOccurs="0" maxOccurs="unbounded"/>
>          <xs:element name="noop-element" type="xs:QName"
>            minOccurs="0" maxOccurs="unbounded"/>
>          <xs:element name="session-id" type="SessionId"
>            minOccurs="0" maxOccurs="1"/>
>        </xs:sequence>
>      </xs:group>
> 
> 
> I'm not sure how to write the correct schema, but here's how 
> it should work:
> 
>    - the order and combinations of these elements should not 
> be constrained
>    - the standard errors specify the minimum content, not the 
> only content,
>       as this schema fragment might imply.
>    - all syntax is QName, except session-id is SessionId (unsignedInt)
>    - all maxOccurs should be "unbounded", except session-id is 1.
>    - although in general there are no required elements (so 
> minOccurs="0"),
>       there are specific standard errors that require 
> specific elements to
>       be present in the error-info field.  The schema does 
> not reflect 
> this,
>       but the normative text is clear on the details.
> 
> So Rob, do you understand the edits?  :-)

I think I added this element and then botched
the hookup into the rest of the schema, because I could not get my
XSD validator to grok what I wanted to do. :-/ The rub, if I recall,
was to get this element accepted, along with "anything else".

I'll take another crack at it this week.

Rob

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>